# Asterisk Project : Asterisk 13 Function_SMDI_MSG_RETRIEVE

Created by wikibot on Aug 08, 2014

# SMDI_MSG_RETRIEVE()

### Synopsis

Retrieve an SMDI message.

### Description

This function is used to retrieve an incoming SMDI message. It returns an ID which can be used with the SMDI_MSG() function to access details of the message. Note that this is a destructive function in the sense that once an SMDI message is retrieved using this function, it is no longer in the global SMDI message queue, and can not be accessed by any other Asterisk channels. The timeout for this function is optional, and the default is 3 seconds. When providing a timeout, it should be in milliseconds.

The default search is done on the forwarding station ID. However, if you set one of the search key options in the options field, you can change this behavior.

### Syntax

    SMDI_MSG_RETRIEVE(smdi port,search key,timeout,options)

##### Arguments

- `smdi port`
- `search key`
- `timeout`
- `options`
  - `t` - Instead of searching on the forwarding station, search on the message desk terminal.
  - `n` - Instead of searching on the forwarding station, search on the message desk number.

### See Also

- Asterisk 13 Function_SMDI_MSG

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538